We're Hiring!

Mattermost, Inc.

Why are older devices not supported

I volunteer for a large environmental organisation. We use Mattermost extensively to connect to our supporters.

However, we feel very hypocritical when we have to tell an environmental activist they have to throw away a perfectly good piece of technology (eg an older iPhone) and buy a new one just to connect with us.

Is it not possible to keep old version of the apps for older phones in the app stores?

Also, why drop support for older browsers, why not just degrade gracefully to a slightly less whizzy UI?

Hi, @nikkilocke

For the Android devices - Target API level requirements for the Play Console:

Once these requirements come into effect, the Play Console will prevent you from submitting new APKs using older target API levels.

The same thing applies to iOS where if we don’t target the minimum supported version of the OS, then we cannot make the app available through the App Store.

While the classic apps are no longer maintained:

I would recommend users on the older devices to consider running Mattermost on the mobile web browser as a workaround.

1 Like